<?php

namespace App\Http\Controllers;

use App\Persistence\Repositories\IPostRepository;
use App\Transformers\PostTransformer;

class PostController extends Controller
{
    public function index(IPostRepository $repository)
    {
        return $this->response->paginator($repository->findPaginate(), new PostTransformer(), ['key' => 'post']);
    }
}
