<?php

namespace App\Persistence\Repositories;

use Illuminate\Contracts\Pagination\LengthAwarePaginator;

interface IPostRepository extends IRepository
{
    /**
     * @param int $pageSize
     * @param array $criteria
     * @param array|null $orderBy
     * @return LengthAwarePaginator
     */
    public function findPaginate($pageSize = 10, array $criteria = null, array $orderBy = null);
}