<?php

namespace App\Transformers;

use App\Post;

class PostTransformer extends Transformer
{

    protected $availableIncludes = ['user'];

    public function transform(Post $post)
    {
        return $this->_transform($post, [
            'title' => $post->title,
            'file' => $post->file,
        ]);
    }

    public function includeUser(Post $post)
    {
        return $this->item($post->user, new UserTransformer(), 'user');
    }
}