<?php

namespace App\Transformers;

use League\Fractal\TransformerAbstract;

abstract class Transformer extends TransformerAbstract
{
    protected function _transform($model, $data)
    {
        if (!empty($model->id)) {
            $data['id'] = $model->id;
        }
        if (!empty($model->created_at)) {
            $data['created_at'] = $model->created_at->format('Y-m-d H:i:s');
        }
        if (!empty($model->updated_at)) {
            $data['updated_at'] = $model->updated_at->format('Y-m-d H:i:s');
        }
        return $data;
    }
}